From 5b57035d9cf7019bb48580cca21dda4307fd82f1 Mon Sep 17 00:00:00 2001
From: Andre Sailer <andre.philippe.sailer@cern.ch>
Date: Wed, 23 Oct 2019 12:56:33 +0200
Subject: [PATCH] CI: only compile for static libraries, no tests

---
 .dd4hep-ci.d/compile_and_test.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/.dd4hep-ci.d/compile_and_test.sh b/.dd4hep-ci.d/compile_and_test.sh
index dcd13fb00..9ffd6c911 100755
--- a/.dd4hep-ci.d/compile_and_test.sh
+++ b/.dd4hep-ci.d/compile_and_test.sh
@@ -17,9 +17,11 @@ cmake -GNinja -DDD4HEP_USE_GEANT4=ON \
     -DCMAKE_CXX_STANDARD=${STANDARD} .. && \
     ninja
 
-if [[ "${SHARED}" == "OFF" ]];
-then
-    exit $?;
+BUILD_RESULT=$?
+
+if [[ "${SHARED}" == "OFF" ]]; then
+    echo "Not building SHARED libraries, ending tests here"
+    exit ${BUILD_RESULT}
 fi
 
 ninja install && \
-- 
GitLab